% SciComp Bsp 2_C
% Visualisierung der Lösungsfunktionen

x = linspace(0,1,1000);
p_values = [-100, -10, -1, 1, 10, 100];

for p = p_values
    u = (exp(p*x)-1)/(exp(p)-1);
    plot(x, u, 'DisplayName', num2str(p));
    hold on
end

plot(x, x, 'DisplayName', '0');

title('Visualisierung der Lösungsfunktion für verschiedene p');
xlabel('x')
ylabel('u(x)');
legend show;